# MSP::CCS::TransverseCylindricalEqualArea Class Reference

`#include <TransverseCylindricalEqualArea.h>`

Inheritance diagram for MSP::CCS::TransverseCylindricalEqualArea:

List of all members.

## Public Member Functions

| TransverseCylindricalEqualArea (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double latitudeOfTrueScale, double falseEasting, double falseNorthing, double scaleFactor)
| TransverseCylindricalEqualArea (const TransverseCylindricalEqualArea &tcea)
| ~TransverseCylindricalEqualArea (void)
TransverseCylindricalEqualArea & | operator= (const TransverseCylindricalEqualArea &tcea)
MapProjection5Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 103 of file TransverseCylindricalEqualArea.h.

## Constructor & Destructor Documentation

TransverseCylindricalEqualArea::TransverseCylindricalEqualArea | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | latitudeOfTrueScale,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double | scaleFactor |
| ) |  |  |

Definition at line 128 of file TransverseCylindricalEqualArea.cpp.

TransverseCylindricalEqualArea::TransverseCylindricalEqualArea | ( | const TransverseCylindricalEqualArea & | tcea | ) |

Definition at line 290 of file TransverseCylindricalEqualArea.cpp.

TransverseCylindricalEqualArea::~TransverseCylindricalEqualArea | ( | void |  | ) |

Definition at line 325 of file TransverseCylindricalEqualArea.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * TransverseCylindricalEqualArea::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 395 of file TransverseCylindricalEqualArea.cpp.

MSP::CCS::GeodeticCoordinates * TransverseCylindricalEqualArea::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 499 of file TransverseCylindricalEqualArea.cpp.

MapProjection5Parameters * TransverseCylindricalEqualArea::getParameters | ( |  | ) | const

Definition at line 370 of file TransverseCylindricalEqualArea.cpp.

TransverseCylindricalEqualArea & TransverseCylindricalEqualArea::operator= | ( | const TransverseCylindricalEqualArea & | tcea | ) |

Definition at line 330 of file TransverseCylindricalEqualArea.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/trcyleqa/TransverseCylindricalEqualArea.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/trcyleqa/TransverseCylindricalEqualArea.cpp